curl --request POST \
--url https://api.stackone.com/unified/lms/users/{id}/assignments \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--data '
{
"learning_object_external_reference": "learning-content-123",
"passthrough": {
"other_known_names": "John Doe"
},
"external_reference": "e3gd34-23tr21-er234-345er56",
"learning_object_id": "e3gd34-23tr21-er234-345er56",
"progress": "40",
"assigned_at": "2021-07-21T14:00:00.000Z",
"due_date": "2021-07-21T14:00:00.000Z",
"status": {
"value": "in_progress",
"source_value": "<string>"
}
}
'import requests
url = "https://api.stackone.com/unified/lms/users/{id}/assignments"
payload = {
"learning_object_external_reference": "learning-content-123",
"passthrough": { "other_known_names": "John Doe" },
"external_reference": "e3gd34-23tr21-er234-345er56",
"learning_object_id": "e3gd34-23tr21-er234-345er56",
"progress": "40",
"assigned_at": "2021-07-21T14:00:00.000Z",
"due_date": "2021-07-21T14:00:00.000Z",
"status": {
"value": "in_progress",
"source_value": "<string>"
}
}
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
learning_object_external_reference: 'learning-content-123',
passthrough: {other_known_names: 'John Doe'},
external_reference: 'e3gd34-23tr21-er234-345er56',
learning_object_id: 'e3gd34-23tr21-er234-345er56',
progress: '40',
assigned_at: '2021-07-21T14:00:00.000Z',
due_date: '2021-07-21T14:00:00.000Z',
status: {value: 'in_progress', source_value: '<string>'}
})
};
fetch('https://api.stackone.com/unified/lms/users/{id}/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 201,
"message": "Record created successfully.",
"timestamp": "2021-01-01T01:01:01.000Z",
"data": {
"id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3"
}
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 412,
"message": "Precondition failed",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}Create User Assignment
Create an assignment type learning record for a user.
This is the record linking a user to a learning object.
It can be pending or in progress.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
The account identifier
Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)
"heartbeat"
Path Parameters
Body
The external reference of the learning object associated with this assignment, this is the main identifier for creating assignments.
"learning-content-123"
Value to pass through to the provider
{ "other_known_names": "John Doe" }
The external reference associated with this assignment
"e3gd34-23tr21-er234-345er56"
The learning_object_id associated with this assignment. This is not required unless specified in an integration.
"e3gd34-23tr21-er234-345er56"
The progress associated with this assigment
"40"
The date the assignment was assigned
"2021-07-21T14:00:00.000Z"
The date the assignment is due to be completed
"2021-07-21T14:00:00.000Z"
The status of the assignment
Show child attributes
Show child attributes
Was this page helpful?